# VALHEIM ADVANCE RPG Modpack
- By: Taeguk Gaming

A server made with a purpose. Offers challenging game difficulty and a good story to unfold.

# Features
- A class based, quests driven progression setup. Maximized KG's Marketplace Revamped features to create an RPG feel in the game.
- Disabled building by default and unlockable only via zone/territory system.
- Overhauled all weapons and armors through WackysDatabase mod. Disabled all weapons and armor crafting and options only to upgrade with fixed requirements for each equipment piece.
- Customized armor sets exclusively for each MO classes.
- Utilizes EpicMMOSystem and ItemRequiresSkillLevel mods on character equipment progression.
- Biomes are set to be equal making each bosses similar, abandoning the original concept of biome progression of the game.
- Modified Epicloot crafting and enchantments and set all weapons and armors to drop from exclusive custom monsters and at the same time, obtainable from all random chests on the map both default and epic loot treasure hunt.

# For Non VARPG Server Users
- Playable but loses weapon and armor customization plus the RPG set up.
- Magic Overhaul classes are set to have no requirements on class change.
- Monster levels on EpicMMO is at default settings.
### Epicloot changes
- Enchantment requires only Runestones
- Removed reagents, dusts, and essence from drops and enchantment requirements.
- Item sacrifice gives ores, tokens, and shards only.
- All treasure chests and regular map chests gives chance to get enchanted items. Mad hatter headgears will only appear on treasure map chests.
- Bounty is at default settings.
- Modified gamble items and prices.
### Enchanted item drops only on the following creatures.
- Skeleton Workers
- Goblin Workers
- Berserker Ghost
- Assassin Ghost
- Archer Ghost
- Swordsman Ghost
- Soldier Ghost
- Skeleton Berserker
- Skeleton Assassin
- Skeleton Archer
- Skeleton Swordsman
- Skeleton Soldier
- Swordsman Goblin
- Soldier Goblin
- Archer Goblin
- Mage Goblin
- Warlock Goblin
- Shaman Goblin
- Druid Goblin
- Rogue Assassin (NPC mini-boss)
- Rogue Warrior (NPC mini-boss)
- Rogue Mage (NPC mini-boss)

For more info on how to modify EpicLoot json files, please refer to the mod page, https://www.nexusmods.com/valheim/mods/387.
To use the default epic loot settings, you may delete all Epicloot folder under "TaegukGaming-ValheimAdvanceRPGOfficial" folder and download Epicloot mod separately.

### Custom items prefab names required to spawn custom monsters.
These items will also spawn mini-boss and boss creatures during raid/event. You may craft to turn off and on the spawn effect of each of these items. Use them as event prices or quest rewards.
- ForestLicense
- SwampLicense
- MountainLicense
- PlainsLicense
- ForestBelt
- SwampBelt
- MountainBelt
- PlainsBelt
- BraveBelt

If not preferred, you may delete lines like "ConditionNearbyPlayerCarriesItem=SwampLicense" on spawn_that.world_spawners cfg files under VATG/spawner folder.

# Server Provider
- Setting up the mods on a dedicated server varies to every provider. I personally use GTX Gaming and it's doing great so far. Click the link below to use me as a referal.
- GTX Gaming Referral link: https://www.gtxgaming.co.uk/clientarea/aff.php?aff=2480

# Special Thanks
### Regular Supporters
- Codie
- curious.explorer

### Builders
- Codie, Namii, and Artyfacts
You guys are so cool, this won't be possible without your big support, skills, and talent!

### Admins
- Eurodisco, Asura
For being supportive and all the chismis!

### Beta Testers (IGN)
- Jero, Stein, Sky, Milktea, Tohka, Matziee, Kimpoyz, Xyn, Numa Numa Yei, Sigbin, Humm, Kero, Blackrising, Lalisa, Mordred, Meiki Squad, and King

### Special Mention
- Zeall - Our partner in crime!

# Mod Author Credits:
- Gravebear - For helping me out set up the ModPack and guiding me of the 'proper' way.
- OdinPlus Team - 911 of mods. Most mods are from them.
- Horem - Do or Die mods
- Huntardys - Epic Valheim Additions
- Azumatt - Anticheat, Admintool, XrayVision
- ASharpPen - SpawnThat, DropThat, and Custom Raids
- Smoothbrain - CLLC, Server Characters, Vitality, DualWield, Groups mod and Profession mods.
- KG - Marketplace, MO classes
- GoldenJude - Judes Equipment and Blacksmiths Tools
- WackyMole - Wacky Database
- LambaSun - EpicMMOSystem
- Detalhes - ItemRequiresSkillLevel
- AeehyehssReeper - Chaos Armor
- Cjayride - Crafting Filter
- Maximods - Multicraft mod
- Neurodr0me - RRRCore, RRRNPC and RRRMonsters
- MonsterLabz
- Thedefside - JTV Biomes
- hbocao - EnhancedPotions
- MathiasDecrock - Planbuild mod
- HugotheDwarf - Hugo's armory and Cloth collider mods
- Fantu - Sages Vault
- RockerKitten - BoneAppetit
- Frenvius - Valharvest
- RagnarokHCRP - MountUp
- Xenofell - TorchesEternal

# Links
- Website: https://bit.ly/taegukgaming
- Trailer Video: https://www.youtube.com/watch?v=dZdgzvlzE5E
- Discord Channel: https://discord.gg/ZUEBzqSaVr
- Support Taeguk Gaming: https://bit.ly/Support-TG

# Change Log
### v1.2.8
- Reduced Miniboss raid frequency from 46 minutes to 20 minutes with at 25% chance from 20%. Makes Bosses truly harder to hunt than minibosses.
- Add custom creatures on bounty hunt list with more token and coin rewards.
- Set all bounty levels max star levels to 10.
- Added all DoD class specific weapons, DoD shields, DoD bows and Xbow on Haldor's gamble list.
- Gamble Island is now open! (VARPG server only)
- Reduced Ghost guides spawn rate.
- Fixed Chaos armor and Jude's Armor def and durability stats making Wackydb data similar to mod specific YML.
- Removed QuickStore mod on dependencies and utilizes OdinPlusQOL autostore instead. The new quickstore key is PERIOD.
- Added T2 Mage Staffs upgrade requirements.
- Fix DoD Obsidian Golem level and EpicMMO experience.

### v1.2.7
- Quickstore change: Set allowed items to auto store to materials, misc, and consumables to avoid storing weapons and gears. This can be modified locally.
- Buffed tamed creatures health and damage including ghosts of warlocks. To make them in par with mercenaries.
- Fixed mounts on Forest wolves, Dire Wolves, and Vilefangs
- Made carnivore bait teleportable (VARPG server only)
- New item added "Zone Deed" to be given to zone buyers. This item will be the only requirement to build portals. 1 Zone Deed will be given to first purchase and 2 on the proceeding ones. (VARPG server only)
- Set Farming, Alchemy, Blacksmithing, Ranching, and Cooking to block usage of profession actions if not chosen as profession.
- Added Black Deers in the Mistlands
- Added Carnivore bait and direwolf pelt drops on Werewolves and Wendigos in Mistlands, DeepNorth, and Ashlands.
- Added Linen Thread drop to all elemental drakes in Mistlands, DeepNorth, and Ashlands and spiders in all biomes.
- Adjusted Obsidian Golem spawns on Tar pits (expected to have more Growth)
- Adjusted Shocking Arrow, Frosty Arrow, and Firery Arrow damage according to tier. (VARPG server only)
- Changed Great Weapon Kit Hardwood ingredient to Fine Wood to match its biome source. (VARPG server only)
- Vanilla boats are expected to be indestructible.

### v1.2.5
- Epicloot: Game change has been modified (Forest Token - 65% Rare | 25% Epic | 10% Legendary / Iron Token - 70% Epic | 30% Legendary)
- Epicloot: Normal map chests has now similar changes of getting enchanted gear tiers with Haldor's Treasure map chests.
- OdinShip: Removed Workbench requirements on Odin Ships
- CLLC Update: Dungeon monsters now have similar damage output with their off-dungeon versions.
- Teleport Everything: Can bring all tamed pets and mercenaries now through portals after commanding them to follow you.
- TGQuestItems: Updated visuals and are now not clones of other mods and game original assets.

### v1.2.4
- Updated Mods
- Updated some quest items visuals.
- Miniboss will now drop boss key items at 50% chance (HardAntler, Cryptkey, etc...). Bosses will still drop them at 100%.
- Goblin and Skeleton workers will now drop metal ores depending on which biome they are in.

### v1.2.2
- Fixed no damage issue on Forest Expert Badge when equipped.
- Added our brand new TG Coin back.

### v1.2.1
- Updated Mods
- Introducing TG Quest Items upgraded biome badges and belts! Turned ON badges can now be equipped in the utility slot for skill buffs. Biomes belts has more partial and full buffs when turned off and on respectively while wearing. Everything has still the same effect of spawning harder monsters and biome bosses when worn. This is our very own mod and expect more updates on all quest items in the server.
- Tamable monsters will now feed every 5 mins, reproduce, and heal 200 hp every food intake.
- Fixed farming quick planting error.
- Added 1 row on player inventory.

### v1.1.5
- Fixed arrow equipping issues.
- Vanilla boats and carts will show again on the map (OdinPlusQOL update).

### v1.1.4
- Updated Mods
- Remove CityGuard NPC
- Added Mercenary Swordsman and Archer NPCs for hiring as mercenary allies. This NPCs will spawn tamed and consumes most Vanilla cooked food.
- Removed Portal Crystal requirements.
- Experimental fix on shared EXP with group mod (Thanks to LambaSun effort)
- Remove modded map pins. Boats and carts will not show anymore on the map.

### v1.1.1
- Fixed raid triggers.
- Add experience on DeepSea Serpent
- Added Runestones drops on Bosses and Minibosses
- Added shards on sacrifice recipies.
- Changed Master Badges to Master Belts (with +%run buff)
- Added 3 rows on player inventory and reduced all items weight to 50%.
- Made vanilla boats indestructible.
- Added 3 New NPC Minibosses to hunt (Rogue Warrior, Rogue Assassin, Rogue Mage). Drops all Tier 2 Class gears.
- Added boss runes drops from Vanilla bosses except Eikthyr. Required to craft specialized class weapons and headgear.
- Remove backpacks and network mods.

### v1.0.4
- Added Smoothbrain Network mod
- Fixed Mistlands, DeepNorth, and Ashlands spawn. Mistakenly set them to spawn on higher grounds.

### v1.0.3
- Updated Mods

### v1.0.2
- Fixed DK Quest Wraith spawn. Adjusted monster hp and damages according to tier.

### v1.0.1
- Fixed spawn issues. Should spawn wolves and drakes now.

### v1.0.0
- Initial Release